org.apache.ignite.internal.managers.systemview

## Class SystemViewAdapter<R,D>

- java.lang.Object
- - org.apache.ignite.internal.managers.systemview.SystemViewAdapter<R,D>

All Implemented Interfaces:
  Iterable<R>, SystemView<R>

    public class SystemViewAdapter<R,D>
    extends Object

System view backed by `data` `Collection`.

### Constructor Summary

Constructors
Constructor and Description
`SystemViewAdapter(String name, String desc, SystemViewRowAttributeWalker<R> walker, Collection<D> data, Function<D,R> rowFunc)`
`SystemViewAdapter(String name, String desc, SystemViewRowAttributeWalker<R> walker, Supplier<Collection<D>> dataSupplier, Function<D,R> rowFunc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `description()`
`@NotNull Iterator<R>` `iterator()`
`String` `name()`
`int` `size()`
`SystemViewRowAttributeWalker<R>` `walker()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### SystemViewAdapter

    public SystemViewAdapter(String name,
                             String desc,
                             SystemViewRowAttributeWalker<R> walker,
                             Collection<D> data,
                             Function<D,R> rowFunc)

Parameters:
  `name` - Name.
  `desc` - Description.
  `walker` - Walker.
  `data` - Data.
  `rowFunc` - Row function.

#### SystemViewAdapter

    public SystemViewAdapter(String name,
                             String desc,
                             SystemViewRowAttributeWalker<R> walker,
                             Supplier<Collection<D>> dataSupplier,
                             Function<D,R> rowFunc)

Parameters:
  `name` - Name.
  `desc` - Description.
  `walker` - Walker.
  `dataSupplier` - Data supplier.
  `rowFunc` - Row function.

### Method Detail

#### iterator

    @NotNull
    public @NotNull Iterator<R> iterator()

#### size

    public int size()

Returns:
  Size of the view.

#### name

    public String name()

Specified by:
  `name` in interface `SystemView<R>`
Returns:
  View name.

#### description

    public String description()

Specified by:
  `description` in interface `SystemView<R>`
Returns:
  View description.

#### walker

    public SystemViewRowAttributeWalker<R> walker()

Specified by:
  `walker` in interface `SystemView<R>`
Returns:
  Helper for exporters.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023